<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Arrow function</title>
</head>

<body>
    <h1>Arrow function</h1>
    <script>
        let obj = {
            name: 'Daniel',
            testFunction: function () {
                var self = this;
                // normal
                function testThis() {
                    console.log('this ->',this.name);
                }
                // self
                function testSelf() {
                    console.log('self ->',self.name);
                }
                // arrow
                let testArrow = () => {
                    console.log('arrow ->',this.name);
                }
                // eseguo i test
                testThis();
                testSelf();
                testArrow();
            }
        }
    </script>
</body>

</html>